{
  "org.killbill.billing.util.entity.dao.DBRouterUntyped.getHandle": [
    "[\"true\"]"
  ],
  "org.killbill.billing.util.audit.dao.DefaultAuditDao.1.apply": [
    "[{\"r\":\"@org.killbill.billing.util.audit.dao.AuditLogModelDao\"}]"
  ],
  "org.killbill.billing.invoice.dao.InvoiceDaoHelper.getAllInvoicesByAccountFromTransaction": [
    "[\"false\",[],{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperFactory\"},{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.dao.DefaultInvoiceDao.13.inTransaction": [
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperFactory\"}]"
  ],
  "org.killbill.billing.invoice.dao.CBADao.getAccountCBAFromTransaction": [
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperFactory\"},{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.dao.DefaultInvoiceDao.14.inTransaction": [
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperFactory\"}]"
  ],
  "org.killbill.billing.util.tag.dao.DefaultTagDao.getTagsForAccountType": [
    "[\"INVOICE\",\"false\",{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.util.tag.DefaultTagInternalApi.getTagsForAccountType": [
    "[\"INVOICE\",\"false\",{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.dao.DefaultInvoiceDao.getInvoicesTags": [
    "[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.dao.DefaultInvoiceDao.getAccountCBA": [
    "[{\"r\":\"@java.util.UUID\"},{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.dao.DefaultInvoiceDao.getAccountBalance": [
    "[{\"r\":\"@java.util.UUID\"},{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.api.user.DefaultInvoiceUserApi.getAccountCBA": [
    "[{\"r\":\"@java.util.UUID\"},{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.invoice.api.user.DefaultInvoiceUserApi.getAccountBalance": [
    "[{\"r\":\"@java.util.UUID\"},{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.jaxrs.resources.AccountResource.getAccount": [
    "[{\"r\":\"@org.killbill.billing.account.api.DefaultAccount\"},\"true\",\"true\",{\"r\":\"@org.killbill.billing.util.audit.DefaultAccountAuditLogs\"},{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.jaxrs.resources.AccountResource.access$000": [
    "[{\"r\":\"@org.killbill.billing.jaxrs.resources.AccountResource$$EnhancerByGuice$$33f6988f\"},{\"r\":\"@org.killbill.billing.account.api.DefaultAccount\"},\"true\",\"true\",{\"r\":\"@org.killbill.billing.util.audit.DefaultAccountAuditLogs\"},{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.util.audit.dao.DefaultAuditDao.getAuditLogsForAccountRecordId": [
    "[\"MINIMAL\",{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]",
    "[\"FULL\",{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]"
  ],
  "org.killbill.billing.util.audit.api.DefaultAuditUserApi.getAccountAuditLogs": [
    "[{\"r\":\"@java.util.UUID\"},\"MINIMAL\",{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]",
    "[{\"r\":\"@java.util.UUID\"},\"FULL\",{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.jaxrs.resources.AccountResource.1.apply": [
    "[{\"r\":\"@org.killbill.billing.account.api.DefaultAccount\"}]"
  ],
  "org.killbill.billing.account.api.svcs.DefaultImmutableAccountInternalApi.1.inTransaction": [
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperFactory\"}]"
  ],
  "org.killbill.billing.util.callcontext.InternalCallContextFactory.getTenantRecordIdSafe": [
    "[{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.util.callcontext.InternalCallContextFactory.objectBelongsToTheRightTenant": [
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\",\"1\"]",
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\",{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ],
  "org.killbill.billing.util.dao.DefaultNonEntityDao.3.doRetrieve": [
    "[\"ACCOUNT\"]",
    "[\"TENANT\"]"
  ],
  "org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperInvocationHandler.invokeSafely": [
    "[{\"r\":\"@com.sun.proxy.$Proxy155\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]",
    "[{\"r\":\"@com.sun.proxy.$Proxy156\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]"
  ],
  "org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperInvocationHandler.access$000": [
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperInvocationHandler\"},{\"r\":\"@com.sun.proxy.$Proxy155\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]",
    "[{\"r\":\"@org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperInvocationHandler\"},{\"r\":\"@com.sun.proxy.$Proxy156\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]"
  ],
  "org.killbill.billing.util.entity.dao.EntitySqlDaoWrapperInvocationHandler.invoke": [
    "[{\"r\":\"@com.sun.proxy.$Proxy155\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]",
    "[{\"r\":\"@com.sun.proxy.$Proxy156\"},{\"r\":\"@java.lang.reflect.Method\"},[{\"r\":\"@org.killbill.billing.callcontext.InternalTenantContext\"}]]"
  ],
  "org.killbill.billing.util.dao.DefaultNonEntityDao.retrieveTenantRecordIdFromObjectInTransaction": [
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\",null,null]",
    "[{\"r\":\"@java.util.UUID\"},\"TENANT\",null,null]"
  ],
  "org.killbill.billing.util.dao.DefaultNonEntityDao.retrieveTenantRecordIdFromObject": [
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\",null]",
    "[{\"r\":\"@java.util.UUID\"},\"TENANT\",null]"
  ],
  "org.killbill.billing.util.callcontext.InternalCallContextFactory.getTenantRecordIdUnsafe": [
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\"]",
    "[{\"r\":\"@java.util.UUID\"},\"TENANT\"]"
  ],
  "org.killbill.billing.util.dao.DefaultNonEntityDao.WithCaching.withCaching": [
    "[{\"r\":\"@org.killbill.billing.util.dao.DefaultNonEntityDao$3\"},\"15a9c95a-2839-4324-ba11-6f7f95ec8b8b\",\"TENANT\",\"TENANT\",null]"
  ],
  "org.killbill.billing.util.dao.DefaultNonEntityDao.WithCaching.access$200": [
    "[{\"r\":\"@org.killbill.billing.util.dao.DefaultNonEntityDao$WithCaching\"},{\"r\":\"@org.killbill.billing.util.dao.DefaultNonEntityDao$3\"},\"15a9c95a-2839-4324-ba11-6f7f95ec8b8b\",\"TENANT\",\"TENANT\",null]"
  ],
  "org.killbill.billing.util.entity.dao.EntitySqlDaoTransactionalJdbiWrapper.execute": [
    "[\"true\",{\"r\":\"@org.killbill.billing.invoice.dao.DefaultInvoiceDao$13\"}]",
    "[\"true\",{\"r\":\"@org.killbill.billing.invoice.dao.DefaultInvoiceDao$14\"}]",
    "[\"true\",{\"r\":\"@org.killbill.billing.account.api.svcs.DefaultImmutableAccountInternalApi$1\"}]"
  ],
  "org.killbill.billing.util.callcontext.InternalCallContextFactory.createInternalTenantContext": [
    "[{\"r\":\"@java.util.UUID\"},\"ACCOUNT\",{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]",
    "[{\"r\":\"@java.util.UUID\"},{\"r\":\"@org.killbill.billing.callcontext.DefaultTenantContext\"}]"
  ]
}